[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / multimedia / gstreamer0.8

File: [cvs.NetBSD.org] / pkgsrc / multimedia / gstreamer0.8 / Attic / Makefile (download)

Revision 1.3, Sun Feb 5 23:10:16 2006 UTC (18 years, 1 month ago) by joerg
Branch: MAIN
Changes since 1.2: +2 -2 lines

Recursive revision bump / recommended bump for gettext ABI change.

# $NetBSD: Makefile,v 1.3 2006/02/05 23:10:16 joerg Exp $
#

DISTNAME=		gstreamer-0.8.11
PKGNAME=		${DISTNAME:S/gstreamer/gstreamer0.8/}
PKGREVISION=		2
CATEGORIES=		multimedia
MASTER_SITES=		${MASTER_SITE_GNOME:=sources/gstreamer/0.8/}
EXTRACT_SUFX=		.tar.bz2

MAINTAINER=		rh@NetBSD.org
HOMEPAGE=		http://www.gstreamer.net/
COMMENT=		Open source multimedia framework

CONFLICTS+=		gstreamer-[0-9]*

BUILD_DEPENDS+=		bison-[0-9]*:../../devel/bison

GNU_CONFIGURE=		yes
USE_PKGLOCALEDIR=	yes
USE_LIBTOOL=		yes
USE_TOOLS+=		gmake perl pkg-config

CONFIGURE_ARGS+=	--disable-plugin-builddir
CONFIGURE_ARGS+=	--localstatedir=${GST0.8_DBDIR}
CONFIGURE_ARGS+=	--with-html-dir=${PREFIX}/share/doc
CONFIGURE_ENV+=		ac_cv_path_PYTHON=${PYTHONBIN:Q}
CONFIGURE_ARGS+=	HAVE_GTK_DOC=no

PKGCONFIG_OVERRIDE+=	pkgconfig/gstreamer-control.pc.in
PKGCONFIG_OVERRIDE+=	pkgconfig/gstreamer.pc.in

REQD_DIRS+=		${GST0.8_DBDIR}

PYTHON_VERSIONS_ACCEPTED=	24 23 22

.include "../../mk/bsd.prefs.mk"

.if ${OPSYS} == "NetBSD"
# We must have a glib2 compiled with the RTLD_GLOBAL fix; if not, plugins
# won't work at all.
BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0nb1
.endif
.undef f

.include "../../devel/glib2/buildlink3.mk"
.include "../../devel/libgnomeui/buildlink3.mk"
.include "../../devel/popt/buildlink3.mk"
.include "../../lang/python/application.mk"
_GSTREAMER0.8_NO_DEPEND=	# defined
.include "../../multimedia/gstreamer0.8/plugins.mk"
.include "../../textproc/libxml2/buildlink3.mk"
.include "../../textproc/libxslt/buildlink3.mk"
.include "../../mk/x11.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"